CREATE TABLE `articulo` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `referencia` varchar(20) DEFAULT NULL,
  `texto` varchar(255) NOT NULL DEFAULT '',
  `precio` varchar(10) DEFAULT NULL,
  `idseccion` int(10) unsigned DEFAULT NULL,
  `idimagen` int(11) DEFAULT NULL,
  `idimagengrande` int(10) unsigned DEFAULT NULL,
  `descripcion` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `cliente` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(20) NOT NULL DEFAULT '',
  `apellidos` varchar(50) NOT NULL DEFAULT '',
  `nif` varchar(10) DEFAULT NULL,
  `direccion` varchar(50) DEFAULT NULL,
  `ciudad` varchar(20) DEFAULT NULL,
  `provincia` varchar(20) DEFAULT NULL,
  `pais` varchar(20) DEFAULT NULL,
  `cp` varchar(10) DEFAULT NULL,
  `telefono` varchar(20) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `configuracion` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parametro` varchar(35) NOT NULL DEFAULT '',
  `valor` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `configuracion` (`id`,`parametro`,`valor`) VALUES 
 (1,'ruta_imagen','http://www.xxx.com/imagenes/productos/'),
 (2,'numero_maximo_noticias','10'),
 (3,'numero_maximo_destacados','10'),
 (4,'ruta_imagen_ftp','www/magen/productos'),
 (5,'ruta_descarga','http://www.xxx.com/descargas'),
 (6,'ruta_descarga_ftp','www/descargas');

CREATE TABLE `descarga` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(100) NOT NULL DEFAULT '',
  `url` varchar(255) DEFAULT NULL,
  `tamano` float DEFAULT NULL,
  `idcliente` int(10) unsigned DEFAULT NULL,
  `fechaalta` datetime DEFAULT NULL,
  `rutalocal` varchar(255) DEFAULT NULL,
  `fichero` varchar(100) NOT NULL DEFAULT '',
  `publica` char(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `destacado` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `idimagen` int(10) unsigned DEFAULT NULL,
  `titulo` varchar(100) NOT NULL DEFAULT '',
  `fecha` datetime DEFAULT NULL,
  `descripcion` text NOT NULL,
  `enlacemostrar` varchar(100) DEFAULT NULL,
  `fechacaducidad` datetime DEFAULT NULL,
  `activa` char(1) DEFAULT NULL,
  `enlaceurl` varchar(200) DEFAULT NULL,
  `enlaceblank` char(1) DEFAULT NULL,
  `enlacehit` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `imagen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `imagen` varchar(255) NOT NULL DEFAULT '',
  `imagenlocal` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `noticia` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `idimagen` int(10) unsigned DEFAULT NULL,
  `titulo` varchar(100) NOT NULL DEFAULT '',
  `fecha` datetime DEFAULT NULL,
  `descripcion` text NOT NULL,
  `enlacemostrar` varchar(100) DEFAULT NULL,
  `fechacaducidad` datetime DEFAULT NULL,
  `activa` char(1) DEFAULT NULL,
  `enlaceurl` varchar(200) DEFAULT NULL,
  `enlaceblank` char(1) DEFAULT NULL,
  `enlacehit` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `seccion` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(50) NOT NULL DEFAULT '',
  `descripcion` text,
  `idimagen` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `sesion` (
  `idusuario` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `time` varchar(14) NOT NULL DEFAULT '',
  `ip` varchar(48) DEFAULT NULL,
  `guest` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`idusuario`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `usuario` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usuario` varchar(20) NOT NULL DEFAULT '',
  `contrasena` varchar(20) NOT NULL DEFAULT '',
  `idcliente` int(10) unsigned NOT NULL DEFAULT '0',
  `fechaalta` datetime DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;